wipeAnalysis
loadConst -time 0.0
set outFile ..//GMs/M_$GM.tcl
source recorder.tcl
set fileId [open ../52-Story_Unscaled/output/M_$GM.log w 0600]

set  gamma 0.5
set beta 0.25
set alphaM [expr 0.0755];   # Mass proportional ao
set betaK [expr 0.0085];   # Stiffness proportional a1

set betaKcomm 0
set betaKinit 0

system UmfPack
constraints Transformation
numberer RCM
integrator Newmark $gamma $beta $alphaM $betaK $betaKcomm $betaKinit; 
set Gaccel1 "Series -dt $dt -filePath $outFile -factor $GMfatt"; # time series information
pattern UniformExcitation 2 1 -accel $Gaccel1; # create uniform excitation
analysis Transient

    set tFinal [expr $Nsteps * $dt]
    set tCurrent 0
    set ok 0
    while {$tFinal > $tCurrent && $ok == 0} {
      puts "GM no: $GM Scale Factor: $GMfatt tfinal: $tFinal tcurrent: $tCurrent"
      test EnergyIncr 1.0e-5 1000;
      set ok [analyze 1 $dt]
      if {$ok != 0} {
		algorithm NewtonLineSearch
	      set ok [analyze 1 $dt]
      	  if {$ok == 0} {puts "NewtonLineSearch successful"}
	        if {$ok != 0} {
      	  puts "FAILED: $tCurrent"; 
   	        puts $fileId "Analysis Failed for GM = $GM (time=$tCurrent, step=[expr $tCurrent/$dt])"
  		  break;
	        }
	}
      set tCurrent [getTime]	
    }
    if {$ok == 0} {
	puts $fileId "Analysis Successful for GM = $GM"
    }
    close $fileId
    puts "Analysis completed"



