set dir 1; # 1.0 = X-Direction
source matrixS1.tcl

pattern Plain 3 Linear {
	if {$dir == 1} {
		for {set fNum 1} {$fNum <= $nStory} {incr fNum 1} {
			load [expr $fNum*100] $s1($fNum) 0 0 0 0 0;
		}
	}
	if {$dir == 2} {
		for {set fNum 1} {$fNum <= $nStory} {incr fNum 1} {
			load [expr $fNum*100] 0 $s1($fNum) 0 0 0 0;
		}
	}
}

file mkdir Pushover;
set filename Pushover
source recorder.tcl
set dU 1
set duMin [expr $dU/10.0]
set duMax [expr $dU]
set maxU 200
set numIter 100
set globalSolutionTol 1e-08
test NormDispIncr $globalSolutionTol $numIter
set nodeToLoad [expr $nStory*100]
integrator DisplacementControl  	$nodeToLoad   	$dir   	0.0  	4  $dU  $dU
algorithm Newton
set numSteps [expr int($maxU/$dU)]
analysis Static
source procPushAnalysis.tcl
