%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                    Story Drift and Displacement Plotting Routine
%                   
% Last Modified : Oct_03 
% by Erol Kalkan
% Description : This file takes all interstory drift datafiles as well as 
% storey displacements and plot them, displacements are normalized to height
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
clear; clc; close all;
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
nstory=19;

m=[3.38 0 0 0 0 0 0 0 0 0 0 0 0 0
0 3.23 0 0 0 0 0 0 0 0 0 0 0 0
0 0 2.92 0 0 0 0 0 0 0 0 0 0 0 
0 0 0 2.92 0 0 0 0 0 0 0 0 0 0 
0 0 0 0 2.92 0 0 0 0 0 0 0 0 0 
0 0 0 0 0 2.92 0 0 0 0 0 0 0 0 
0 0 0 0 0 0 2.92 0 0 0 0 0 0 0 
0 0 0 0 0 0 0 2.92 0 0 0 0 0 0 
0 0 0 0 0 0 0 0 2.92 0 0 0 0 0 
0 0 0 0 0 0 0 0 0 2.92 0 0 0 0 
0 0 0 0 0 0 0 0 0 0 2.92 0 0 0 
0 0 0 0 0 0 0 0 0 0 0 2.92 0 0 
0 0 0 0 0 0 0 0 0 0 0 0 2.92 0 
0 0 0 0 0 0 0 0 0 0 0 0 0 1.46];

ii(1:nstory)=1;
ii=ii';
Mtot=sum(sum(m)); % TOTAL MASS

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
d1=load ('./eigenvectors/Eigen_3_1.eig');
d2=load ('./eigenvectors/Eigen_3_2.eig');
d3=load ('./eigenvectors/Eigen_3_3.eig');
d4=load ('./eigenvectors/Eigen_3_4.eig');
d5=load ('./eigenvectors/Eigen_3_5.eig');
d6=load ('./eigenvectors/Eigen_3_6.eig');
d7=load ('./eigenvectors/Eigen_3_7.eig');
d8=load ('./eigenvectors/Eigen_3_8.eig');
d9=load ('./eigenvectors/Eigen_3_9.eig');
d10=load ('./eigenvectors/Eigen_3_10.eig');
d11=load ('./eigenvectors/Eigen_3_11.eig');
d12=load ('./eigenvectors/Eigen_3_12.eig');
d13=load ('./eigenvectors/Eigen_3_13.eig');
d14=load ('./eigenvectors/Eigen_3_14.eig');
d15=load ('./eigenvectors/Eigen_3_15.eig');
d16=load ('./eigenvectors/Eigen_3_16.eig');
d17=load ('./eigenvectors/Eigen_3_17.eig');
d18=load ('./eigenvectors/Eigen_3_18.eig');
d19=load ('./eigenvectors/Eigen_3_19.eig');

d0=zeros(length(d1),1);
sl=[0:19];
d=[d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19];

figure(1);  plot([0,0],[0,nstory],'-'); hold;
    plot(d,sl,'r-s'); 
    ylabel('Story Level');
    xlabel('Eigen Vector (Mode-1)');
break

    
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
for j=1:length(d);
    fi=d(j,2:nstory+1)';
    L(j)=fi'*m*ii;
    M(j)=fi'*m*fi;
    G(j)=L(j)/M(j);
    alfa(j)=L(j)^2/Mtot/M(j);
end;
  
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
%       ALFA INTO FILE
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
fid = fopen ('alfa_1.alf','w'); % 
fprintf (fid,'%6.4f\n',alfa);
fclose(fid)

