clear; clc; close all;
inputFile = 'eigenvectors.out';
[fid,message] = fopen(inputFile, 'r'); 
line = fgets(fid); % Read a dummy line
nStory = 53;
nModes = 9;
npoint = 6*nModes;
% READ TEXT LINES 
for i = 1:nStory;
    for k = 1:23;
        line = fgets(fid);            
            if k == 5;
                mass(i,i) = fscanf(fid,'%15e ',1);
            end
            if k == 13;
                eVectors(:,i) = fscanf(fid,'%15e ',npoint);
            break   
        end
    end
end
    
eVectorsX = eVectors(1:9,:);
eVectorsY = eVectors(10:18,:);
eVectorsz = eVectors(19:27,:);
eVectorsRx = eVectors(28:36,:);
eVectorsRy = eVectors(37:45,:);
eVectorsRz = eVectors(46:54,:);

ii(1:nStory)=1; ii=ii';
Mtot=sum(sum(mass)); % TOTAL MASS

figure (1); orient tall; clf; 
set(gcf,'position',[200 183 650 400]);
set(gca,'TickLength',[.0025 .0025]);
subplot1(1,3,'Gap',[0.015 0.017]);  

subplot1(1);
    plot([0,0],[0,nStory],'k-');
    plot([0 eVectorsX(1,:)],[0:nStory],'r-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','r','MarkerFaceColor','r');
    plot([0 eVectorsX(2,:)],[0:nStory],'b-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','b','MarkerFaceColor','b');
    plot([0 eVectorsX(3,:)],[0:nStory],'g-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','g','MarkerFaceColor','g');
    plot([0 eVectorsX(4,:)],[0:nStory],'g-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','g','MarkerFaceColor','g');
    plot([0 eVectorsX(5,:)],[0:nStory],'m-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor',[0.5 0.5 0.5],'MarkerFaceColor',[0.5 0.5 0.5]);
    plot([0 eVectorsX(6,:)],[0:nStory],'k-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','k','MarkerFaceColor','k');
    plot([0 eVectorsX(7,:)],[0:nStory],'b-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','b','MarkerFaceColor','b');
    plot([0 eVectorsX(8,:)],[0:nStory],'k-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','k','MarkerFaceColor','k');
    plot([0 eVectorsX(9,:)],[0:nStory],'b-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','b','MarkerFaceColor','b');
    title('E-W Component','FontSize',[9],'FontWeight','bold');                  
    ylabel('Floor','FontSize',[9],'FontWeight','bold'); 
    xlabel('\Phi_x_j','FontSize',[9],'FontWeight','bold');  
    axis([-0.25 0.25 0 53]); set (gca,'FontSize',[9]);
    text('pos',[0.038 50],'str','Mode 1','FontSize',[9],'FontWeight','bold','Rotation',0); 
    text('pos',[0.15 25],'str','4','FontSize',[9],'FontWeight','bold','Rotation',0); 
    text('pos',[-0.17 17],'str','8','FontSize',[9],'FontWeight','bold','Rotation',0); 
    text('pos',[-0.2 33],'str','[2,3,5,6,7,9]','FontSize',[9],'FontWeight','bold','Rotation',0); 
    
subplot1(2);
    plot([0,0],[0,nStory],'k-');
    plot([0 eVectorsY(1,:)],[0:nStory],'r-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','r','MarkerFaceColor','r');
    plot([0 eVectorsY(2,:)],[0:nStory],'r-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','r','MarkerFaceColor','r');
    plot([0 eVectorsY(3,:)],[0:nStory],'g-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','g','MarkerFaceColor','g');
    plot([0 eVectorsY(4,:)],[0:nStory],'g-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','g','MarkerFaceColor','g');
    plot([0 eVectorsY(5,:)],[0:nStory],'m-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor',[0.5 0.5 0.5],'MarkerFaceColor',[0.5 0.5 0.5]);
    plot([0 eVectorsY(6,:)],[0:nStory],'k-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','b','MarkerFaceColor','b');
    plot([0 eVectorsY(7,:)],[0:nStory],'b-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','b','MarkerFaceColor','b');
    plot([0 eVectorsY(8,:)],[0:nStory],'b-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','b','MarkerFaceColor','b');
    plot([0 eVectorsY(9,:)],[0:nStory],'g-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','g','MarkerFaceColor','g');
    title('N-S Component','FontSize',[9],'FontWeight','bold');          
    xlabel('\Phi_y_j','FontSize',[9],'FontWeight','bold');  
    axis([-0.25 0.25 0 53]); set (gca,'FontSize',[9]);
    text('pos',[-0.2 40],'str','Mode 2','FontSize',[9],'FontWeight','bold','Rotation',0); 
    text('pos',[0.15 35],'str','9','FontSize',[9],'FontWeight','bold','Rotation',0); 
    text('pos',[-0.18 25],'str','6','FontSize',[9],'FontWeight','bold','Rotation',0); 
    text('pos',[0.01 15],'str','[1,3,4,5,7,8]','FontSize',[9],'FontWeight','bold','Rotation',0); 
    
    subplot1(3);
    plot([0,0],[0,nStory],'k-');
    plot([0 eVectorsRz(1,:)],[0:nStory],'r-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','r','MarkerFaceColor','r');
    plot([0 eVectorsRz(2,:)],[0:nStory],'m-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','m','MarkerFaceColor','m');
    plot([0 eVectorsRz(3,:)],[0:nStory],'r-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','g','MarkerFaceColor','g');
    plot([0 eVectorsRz(4,:)],[0:nStory],'g-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','g','MarkerFaceColor','g');
    plot([0 eVectorsRz(5,:)],[0:nStory],'k-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','k','MarkerFaceColor','k');
    plot([0 eVectorsRz(6,:)],[0:nStory],'k-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','k','MarkerFaceColor','k');
    plot([0 eVectorsRz(7,:)],[0:nStory],'g-','LineWidth',2.0,'MarkerSize',2,...
        'MarkerEdgeColor','b','MarkerFaceColor','b');
    plot([0 eVectorsRz(8,:)],[0:nStory],'k-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','b','MarkerFaceColor','b');
    plot([0 eVectorsRz(9,:)],[0:nStory],'b-','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','b','MarkerFaceColor','b');
    title('Rotational Component','FontSize',[9],'FontWeight','bold');     
    xlabel('\Phi_\theta_j','FontSize',[9],'FontWeight','bold');  
    axis([-0.0003 0.0003 0 53]); set (gca,'FontSize',[9]);
    text('pos',[-0.00025 40],'str','Mode 3','FontSize',[9],'FontWeight','bold','Rotation',0); 
    text('pos',[-0.00023 22],'str','5','FontSize',[9],'FontWeight','bold','Rotation',0); 
    text('pos',[0.00021 33],'str','7','FontSize',[9],'FontWeight','bold','Rotation',0); 
    text('pos',[0.00001 15],'str','[1,2,4,6,8,9]','FontSize',[9],'FontWeight','bold','Rotation',0); 
    
    saveas(gcf,'EigenVectors.emf');

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
fi(1,:)=eVectorsX(1,:);
fi(4,:)=eVectorsX(4,:);
fi(8,:)=eVectorsX(8,:);

fi(2,:)=eVectorsY(2,:);
fi(6,:)=eVectorsY(6,:);
fi(9,:)=eVectorsY(9,:);

fi(3,:)=eVectorsY(3,:);
fi(5,:)=eVectorsY(5,:);
fi(7,:)=eVectorsY(7,:);

for i = 1:9;
    L = fi(i,:)*mass*ii;
    M = fi(i,:)*mass*fi(i,:)';
    G(i) = L/M;
    alfa(i) = L^2/Mtot/M;
    fprintf('Mode No: %5.2f Gama;Alfa = %5.2f,%5.2f\n ',i,G(i),alfa(i));    
end
pushoverLoad = (fi(1,:) * mass)';

figure(2); orient tall; clf; 
    set(gcf,'position',[200 183 250 400]);
    set(gca,'TickLength',[.0025 .0025]);
    plot([0, pushoverLoad'],[0:nStory],'kd','LineWidth',2.0,'MarkerSize',2,...
    'MarkerEdgeColor','k    ','MarkerFaceColor','k');
    hold;
    axis([0 0.5 0 53]); set (gca,'FontSize',[9]);
    
    for i = 1:53;
        plot([0,pushoverLoad(i)],[i,i]);
    end
    xlabel('s_1','FontSize',[9],'FontWeight','bold');  
    ylabel('Floor','FontSize',[9],'FontWeight','bold'); 
    set (gca,'FontSize',[9]);
    saveas(gcf,'PuhoverLoadVector.emf');
open pushoverLoad


