#====================================================================
set AnalysisOption "Static";             # Pushover Analysis
#set AnalysisOption "Eigen";              # Eigen Analysis
#set AnalysisOption "Dynamic";            # Time History Analysis
#====================================================================
wipe;
model BasicBuilder -ndm 3 -ndf 6;
set nStory 53;

source matrixDim.tcl
#source matrixDimBrace.tcl

source matrixMass.tcl
source matrixMat.tcl

source matrixNodes.tcl
#source matrixNodesBrace.tcl

source xsectionC.tcl
source xsectionBox.tcl
source xsectionI.tcl

source matrixGeoTran.tcl
source assignColumnsCore.tcl
source assignColumnsPer.tcl
source assignBeams.tcl

#source assignBucklingBrace.tcl
#source assignBrace.tcl
source assignNonlinBrace.tcl

#====================================================================
puts "ANALYSIS START !!!"
if {$AnalysisOption == "Eigen"} {
#	source analysisGravity.tcl
	source analysisEigen.tcl
}
if {$AnalysisOption == "Static"} {
#	source analysisEigen.tcl
	source analysisGravity.tcl
	source analysisPushover.tcl
}
if {$AnalysisOption == "Dynamic"} {
	source analysisGravity.tcl
	source analysisDynamicCalibration.tcl
}


