#==================================================
# Pushover analysis procedure
#==================================================
set uDemand 0
set duDemand 0
set ok 0
set linearFlag 0
while {$ok == 0 && $uDemand < $maxU} {
       set ok [analyze 1 $dU]	

       # if the analysis fails try initial tangent iteration

       if {$ok != 0} {
            puts "that didn't work either - try  initial iterations"
            test NormDispIncr [expr $globalSolutionTol] [expr $numIter*5]
            algorithm ModifiedNewton -initial
            set ok [analyze 1 $dU]
            test NormDispIncr [expr $globalSolutionTol] $numIter
            algorithm Newton
        }

        if {$ok != 0} {
             puts "that didn't work either - try  initialCurrent iterations"
             test NormDispIncr [expr $globalSolutionTol] [expr $numIter*2]
             algorithm Newton -initialCurrent
             set ok [analyze 1 $dU]
             test NormDispIncr [expr $globalSolutionTol] $numIter
             algorithm Newton
        }

        if {$ok != 0} {
	      	puts "..... trying RegulaFalsi algorithm"
			test NormDispIncr [expr $globalSolutionTol] [expr $numIter*2]
			algorithm NewtonLineSearch -type RegulaFalsi
			set ok [analyze 1 $dU]
			algorithm Newton
         }
		    
         if {$ok != 0} {
			puts "..... trying Bisection algorithm"
			test NormDispIncr [expr $globalSolutionTol] [expr $numIter*2]
			algorithm NewtonLineSearch -type Bisection
			set ok [analyze 1 $dU]
			algorithm Newton
	    }
		    
          if {$ok != 0} {
                   puts "that didn't work either - try arclength"
                   integrator ArcLength [expr $duMin/5.] 1.0
                   test NormDispIncr [expr $globalSolutionTol] [expr $numIter*2]
                   algorithm Newton
                   set ok [analyze 1 $dU]
	               integrator DisplacementControl  	$nodeToLoad   	$dir   	$duMin  	4  $duMin  $duMax
	    }

          if {$ok != 0} {
                puts "that didn't work either - try  initial iterations & smaller step"
      	        integrator DisplacementControl  	$nodeToLoad   	$dir   	[expr $duMin/10.0] 
                test NormDispIncr [expr $globalSolutionTol+100] [expr $numIter*2]
                algorithm ModifiedNewton -initial
                set ok [analyze 1 $dU]
                test NormDispIncr [expr $globalSolutionTol] $numIter
		        integrator DisplacementControl  	$nodeToLoad   	$dir   	$duMin  	4  $duMin  $duMax
                algorithm Newton
	    }

          if {$ok != 0} {
                puts "that didn't work either - try  initial iterations & much smaller step"
		    integrator DisplacementControl  	$nodeToLoad   	$dir   	[expr $duMin/100.0] 
                test NormDispIncr [expr $globalSolutionTol+1000] [expr $numIter*5]
                algorithm ModifiedNewton -initial
                set ok [analyze 1 $dU]
                test NormDispIncr [expr $globalSolutionTol] $numIter
		    integrator DisplacementControl  	$nodeToLoad   	$dir   	$duMin  	4  $duMin  $duMax
                algorithm Newton
	    }

	    set uDemand [nodeDisp $nodeToLoad $dir]
          puts [expr $uDemand]

     	    if {$ok != 0} {
	    	puts "pushover analysis NOT succesful"
     	    } else {
		puts "pushover analysis completed succesfully"
	    }
}	